Jump to content
Dark

Phpbb 2.0.15 Released

Recommended Posts

Just letting you guys know that the phpBB Group has released version 2.0.15. This update addresses some bugfixes and addressing some security issues, one being serious.

 

Ofcourse you can download the updated version from this link here.

 

Or if you have a fairly to heavily modded board you can manually apply the changes to avoid having to re-install any modifications you have done. You can get this file here.

 

Dark

Edited by Dark

Share this post


Link to post
Share on other sites
Guest Serpentine
Is it any better then the older versions?

 

As it has major bug fixes and resolves a security issue then it should be done. I havent seen it yet but I doubt there are cosmetic changes as patches don't often invlude them. I will reserve that part to someone that has upgraded.

Share this post


Link to post
Share on other sites

I tried to upgrade my installation today, and have had nothing but trouble. I followed the update instructions exactly, and it broke my board! (Not too big of a deal, since it was a board I only created yesterday).

 

I had installed .14 from my cPanel, but decided to upgrade to .15 so the annoying message at the bottom of the admin panel would go away.

 

I don't have the error message because I went ahead and just deleted the whole forum and am reinstalling from scratch. But now it isn't playing nicely with my subdomain.

 

Grrr... :thumbup1:

 

Oh well. At least it is a forum that it was okay to break.

Share this post


Link to post
Share on other sites
I tried to upgrade my installation today, and have had nothing but trouble. I followed the update instructions exactly, and it broke my board! (Not too big of a deal, since it was a board I only created yesterday).

 

I had installed .14 from my cPanel, but decided to upgrade to .15 so the annoying message at the bottom of the admin panel would go away.

 

I don't have the error message because I went ahead and just deleted the whole forum and am reinstalling from scratch. But now it isn't playing nicely with my subdomain.

 

Grrr... :D

 

Oh well. At least it is a forum that it was okay to break.

 

How did you perform your upgrade? When I update mine, I usually download the "Changed Files Only" package from PhpBB and use Beyond Compare to view and apply the changes. This allows me to easily see if a change will conflict with something.

 

Regards

Dan

Share this post


Link to post
Share on other sites
How did you perform your upgrade? When I update mine, I usually download the "Changed Files Only" package from PhpBB and use Beyond Compare to view and apply the changes. This allows me to easily see if a change will conflict with something.

 

Well, I can't figure out what site I was at, or where I read it, but I guess what I needed to do was find the file that was specific for the upgrade from 2.0.14. to 2.0.15. I did that, and uploaded the files that I was instructed to, but then the database structure wasn't updated properly. The directions told me I had to go to the /install/ folder and run a file there, but there was no /install/ folder, and one hadn't been provided in the 2.0.14_to_2.0.15 upgrade file.

 

At this point, my database structure was 2.0.14, but my website was set for 2.0.15. Since I didn't know how to convert my database to .15, I just quit, uninstalled everything and started over.

 

I have no idea what I did wrong, but then again, I can't even figure out what I DID... :notworthy:

Share this post


Link to post
Share on other sites
How did you perform your upgrade? When I update mine, I usually download the "Changed Files Only" package from PhpBB and use Beyond Compare to view and apply the changes. This allows me to easily see if a change will conflict with something.

 

Well, I can't figure out what site I was at, or where I read it, but I guess what I needed to do was find the file that was specific for the upgrade from 2.0.14. to 2.0.15. I did that, and uploaded the files that I was instructed to, but then the database structure wasn't updated properly. The directions told me I had to go to the /install/ folder and run a file there, but there was no /install/ folder, and one hadn't been provided in the 2.0.14_to_2.0.15 upgrade file.

 

At this point, my database structure was 2.0.14, but my website was set for 2.0.15. Since I didn't know how to convert my database to .15, I just quit, uninstalled everything and started over.

 

I have no idea what I did wrong, but then again, I can't even figure out what I DID... :goof:

 

 

Ahh...yes I got bit by the DB update when I first started using PhPBB. What you need to do is create an install folder and FTP the "upgrade_to_...php" file to that folder and execute it from a web browser. The folder must be off your PHPBB forum root folder. After the upgrade is complete, you must delete the Install folder you created or the forum will not run.

 

Regards

Share this post


Link to post
Share on other sites
Ahh...yes I got bit by the DB update when I first started using PhPBB. What you need to do is create an install folder and FTP the "upgrade_to_...php" file to that folder and execute it from a web browser.  The folder must be off your PHPBB forum root folder. After the upgrade is complete, you must delete the Install folder you created or the forum will not run.

 

THAT is the best piece of advice I've heard in days!! Thanks a lot for your help! Next time will be *MUCH* smoother with this information :goof:

Share this post


Link to post
Share on other sites
My CP only allows me to do version 2.0.11.

I better put in a support ticket.  It's unsafe.

cPanel controls what versions are included with it, not TCH.

 

You should download and install the update manually from the phpBB site.

Share this post


Link to post
Share on other sites
cPanel controls what versions are included with it, not TCH.

 

You should download and install the update manually from the phpBB site.

 

 

Not what I signed up with TC to hear. There is now version 2.16 of phpBB. About how long does it usually take cpanel to provide an update ? Or does it depend on how long it takes Totalchoice to ask for (purchase?) one ?

Share this post


Link to post
Share on other sites

TCH has no control over the folks at cpanel

and how offten they update cpanel scripts.

 

Its always better to install yourself.

There are very clear instructions in the download.

 

However you may find on the download page

an upgrade of changed files.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...